Get invoice details from accounting system

Returns information about an individual invoice that exists in the entity's accounting system. This invoice may or may not also exist in Monite.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoice_idstringRequired

An internal ID of the invoice in the accounting system. You can get these IDs from GET /accounting/receivables.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstring
An internal identifier of the invoice in the accounting system.
currencystring

ISO-4217 currency code of the invoice.

currency_ratedouble
Rate to convert the total amount of the transaction into the entity's base currency at the time of the transaction.
customer_refobject
Information about the customer that the invoice was sent to.
due_datedatetime or string
Invoice due date.
invoice_numberstring
Invoice document number.
lineslist of objects
memostring
Any additional information or business notes about the invoice.
pass_throughmap from strings to any
An object containing additional invoice data returned by the accounting system. This sometimes includes custom invoice fields.
posted_datestringformat: "date"
Date when the invoice was added to the accounting service. This may differ from the invoice creation date.

Errors

422
Get Accounting Receivables ID Request Unprocessable Entity Error
500
Get Accounting Receivables ID Request Internal Server Error